{% extends 'base.html.twig' %}

{% block title %}Hello AdminController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper">
    <h1>Мои визиты ✅</h1>
    <table border="1">
        <th>URL</th>
        <th>Количество посещении</th>
        <th>Последний визит</th>
        <tbody>
        {% for visit in visits %}
        <tr>
                <td>{{ visit.url }}</td>
                <td>{{ visit.visitCount }}</td>
                <td>{{ visit.lastVisit }}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>

    {% set page = 2 %}
    {% if app.request.get('page') %}
        {% set page = app.request.get('page') %}
    {% endif %}

    {% if page > 1 %}
<a href="{{ path('admin.main') }}?page={{ page - 1 }}">Назад</a>
    {% endif %}

    {% if visits %}
<a href="{{ path('admin.main') }}?page={{ page + 1 }}">Дальше</a>
    {% endif %}
</div>
{% endblock %}
